Skip to main content
PATCH
/
workspaces
/
{id}
/
members
/
{userId}
Update member role
curl --request PATCH \
  --url https://app.mavera.io/api/v1/workspaces/{id}/members/{userId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role": "owner"
}
'
{
  "object": "workspace.member",
  "user_id": "<string>",
  "email": "jsmith@example.com",
  "role": "owner",
  "status": "active",
  "joined_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mavera.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.

Path Parameters

id
string
required

Workspace ID

userId
string
required

User ID of the member

Body

application/json
role
enum<string>
required

New role for the member (cannot be owner)

Available options:
owner,
manager,
analyst,
viewer,
editor,
creative_specialist,
client_viewer,
department_admin

Response

Member updated

object
enum<string>
Available options:
workspace.member
user_id
string

User ID

email
string<email>
role
enum<string>

Role of a workspace member

Available options:
owner,
manager,
analyst,
viewer,
editor,
creative_specialist,
client_viewer,
department_admin
status
enum<string>
Available options:
active,
pending
joined_at
string<date-time>